Bug 453816 - unbable to load ekiga
unbable to load ekiga
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-02 14:30 EDT by Mostafa Daneshvar
Modified: 2008-10-10 05:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-10 05:07:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mostafa Daneshvar 2008-07-02 14:30:39 EDT
Description of problem:
Ekiga can not be run whether thought Terminal or Desktop.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.run in command line
2. don't start 
3. this error in command line : ekiga: error while loading shared libraries:
libldap-2.3.so.0: cannot open shared object file: No such file or directory

  
Actual results:


Expected results:


Additional info:
Comment 1 Andre Robatino 2008-07-03 06:34:18 EDT
On my fully updated F9 x86 box, which I can run Ekiga on, there is no file
libldap-2.3.so.0, but there is /usr/lib/libldap-2.4.so.2, which belongs to the
openldap-2.4.8-3.fc9.i386 package.  Also, my version of Ekiga is
ekiga-2.0.12-2.fc9.i386.  Which versions of these packages do you have installed?
Comment 2 Mostafa Daneshvar 2008-07-03 07:27:14 EDT
As checked in my install DvD I couldn't this ekiga-2.0.12-2.fc9.i386 package.
I am using ekiga-2.0.11-1.fc8.i386
Comment 3 Andre Robatino 2008-07-03 07:36:53 EDT
The F9 version of Ekiga is not on the F9 install DVD.  You have to install it
from the Fedora repo (doing a yum update will also probably work).

# yum remove ekiga
# yum install ekiga

or

#yum update ekiga
Comment 4 Mostafa Daneshvar 2008-07-04 13:33:16 EDT
I upgraded Ekiga to ekiga-2.0.12-2.fc9.i386. but again the same probelm.
same error (ekiga: error while loading shared libraries: libldap-2.3.so.0:
cannot open shared object file: No such file or directory
)
I also use this openldap-2.4.8-3.fc9.i386
Comment 5 Peter Robinson 2008-09-29 10:56:01 EDT
Hi Mostafa,

Are you still seeing these issues? The version of openldap that shipped with F-9 was libldap-2.4.so.0. Ekiga itself doesn't link directly to openldap but two of the libraries that it is built on do. Can you check that you are running the latest versions of pwlib and opal. For the original release of Fedora 9 these were at least versions:

opal-2.2.11-3.fc9.i386
pwlib-1.10.10-6.fc9.i386

Can you verify you are running the correct version of those libraries?
Comment 6 Mostafa Daneshvar 2008-09-29 17:43:30 EDT
Where should I check? i mean i which directory?
Comment 7 Peter Robinson 2008-09-29 17:54:17 EDT
The command 'rpm -q opal pwlib' will tell you what versions are installed.
Comment 8 Mostafa Daneshvar 2008-09-29 18:27:03 EDT
opal-2.2.11-1.fc8.i386
opal-2.2.11-1.fc8.i386
Comment 9 Peter Robinson 2008-09-29 18:35:35 EDT
That's your problem. Also what version of pwlib do you have installed? How are you updating your system? Are you using a 'yum update' or are you manually downloading and installing packages? A 'yum update' would have pulled in the update to opal. The Fedora 8 version of the opal library is linked against openldap 2.3 hence the dependency issue.
Comment 10 Mostafa Daneshvar 2008-09-29 18:46:27 EDT
pwlib-1.10.10-2.fc8.i386
Comment 11 Peter Robinson 2008-09-30 03:42:31 EDT
If your running Fedora-9 both pwlib and opal will need to be running *fc9.i386 versions. ekiga is very dependent on the verion of pwlib and opal. Please upgrade those libraries to the Fedora 9 versions and your problem will go away.
Comment 12 Peter Robinson 2008-10-01 09:44:27 EDT
Hi Mostafa,

Did updating the pwlib/opal to the fc9 versions resolve your issues with ekiga?
Comment 13 Peter Robinson 2008-10-09 18:08:19 EDT
Any update?
Comment 14 Mostafa Daneshvar 2008-10-10 02:56:10 EDT
sorry for being last.
it is resolved . 

thank you Peter
Comment 15 Peter Robinson 2008-10-10 05:07:37 EDT
Execellent!

Note You need to log in before you can comment on or make changes to this bug.